com.r3corda.node.services.transactions / InMemoryUniquenessProvider

# InMemoryUniquenessProvider

`class InMemoryUniquenessProvider : UniquenessProvider`

A dummy Uniqueness provider that stores the whole history of consumed states in memory

### Constructors

<init> | `InMemoryUniquenessProvider()` A dummy Uniqueness provider that stores the whole history of consumed states in memory

### Functions

commit | `fun commit(states: List<StateRef>, txId: SecureHash, callerIdentity: Party): Unit` Commits all input states of the given transaction